<?php
	session_start();
	$nom = $_SESSION['nom_admin'];
?>
<!DOCTYPE html>
<html>
	<head>
		<title>Nuevo usuario</title>
		<link rel="stylesheet" type="text/css" href="./css/stylesheet.css">
		<script src="./js/jquery.min.js"></script>
        <script type="text/javascript" src="./js/script.js"></script>
<!--        <link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Open+Sans">-->
        <?php
        	require ("./Funciones/funciones.php");
			$id = $_GET['id'];

			$conexion = conecta();
			$sql= "SELECT * FROM productos where idprod ='$id' and activado='1' and eliminado='0'";
			$res = mysqli_query($conexion,$sql);
			$num = mysqli_num_rows($res);

			$nombre = mysql_result($res, 0,"nombre");
			$codigo = mysql_result($res, 0,"codigo");
			$descripcion = mysql_result($res, 0,"descripcion");
			$precio = mysql_result($res, 0,"precio");
			$categoria = mysql_result($res, 0,"categoria");
			$stock = mysql_result($res, 0,"stock");
			$destacado = mysql_result($res, 0,"destacado");

			$sqla= "SELECT * FROM categoria where activo='1' and eliminado='0'";
			$resa = mysqli_query($conexion,$sqla);
			$numa = mysqli_num_rows($resa);
			
        ?>
        <script type="text/javascript">
        	function formulario(f) { 

				if (f.nombre.value   == '') { alert ('El nombre esta vacio');  
				f.nombre.focus(); return false; } 
				/*if (f.descripcion.value   == '') { alert ('La descripcion esta vacio');  
				f.descripcion.focus(); return false; }*/ 
				if (f.codigo.value  == '') { alert ('El codigo esta vacio'); 
				f.codigo.focus(); return false; } 
				/*if (f.opc.value  == 0) { alert ('Debes seleccionar una categoria'); 
				f.opc.focus(); return false; }*/
				if (f.stock.value  == '') { alert ('Stock vacio'); 
				f.stock.focus(); return false; }
				if (f.precio.value  == '') { alert ('Precio vacio'); 
				f.precio.focus(); return false; }

			}
        </script>
	</head>
	<body>

		<?php include('menu.php');?>

		<div id="form" align="center">
			<h2>Agregar un nuevo producto</h2>
			<form method="post" action="productos_salvar.php?id=<?php echo "$id";?>" onsubmit="return formulario(this);" enctype="multipart/form-data">
				<input type="text" id="nombre" name="nombre" placeholder="Nombre*" value="<?php echo "$nombre";?>"></br>
				<input type="text" id="codigo" name="codigo" onBlur="codigocheck(this);" placeholder="Codigo*" value="<?php echo "$codigo";?>"></br>
				
				<?php

				echo "<select name=\"opc\" id=\"cats\">
            				<option value=\"0\" selected>Selecciona Categoria*</option>";
            		for($i=0;$i<$numa;$i++){
            			
            			$idcat = mysql_result($resa, $i,"IdCategoria");
            			$cat = mysql_result($resa, $i,"Descripcion");
            			
            			if($categoria == $idcat){
            				echo "<option value=\"$idcat\" selected>$cat</option>";
            			}else{
            			echo "<option value=\"$idcat\">$cat</option>";
            			}

            		}
            		
				echo "</select></br>";

				if($id==''){
					echo "<input type=\"text\" id=\"descripcion\" name=\"descripcion\" placeholder=\"Descripcion\"  ></br>";			
					echo "<input type=\"text\" id=\"preciov\" name=\"preciov\" placeholder=\"Precio*\"  ></br>";
					echo "<input type=\"text\" id=\"stock\" name=\"stock\" placeholder=\"Stock*\"  ></br>";
					/*echo "<select name=\"destacado\" id=\"dest\">
						<option value =\"0\"> Es destacado?</option>";
						if($destacado != 0){
							if($destacado == 0){
								echo "<option value =\"1\" selected> No</option>";
							}elseif($destacado == 1){
								echo "<option value =\"2\" selected> Si</option>";
							}
						}else{
							echo "<option value =\"1\"> No</option>
						<option value =\"2\"> Si</option>";
						}

						
						echo "</select></br>";*/
					?>
					<input type="text" id="estante" name="ubicacion" placeholder="Estante*" ></br>
					<input type="text" id="fila" name="ubicacion" placeholder="Fila*" ></br>
					<input type="text" id="columna" name="ubicacion" placeholder="Columna*" ></br>
					<?php
					echo "<input type=\"file\" id=\"upimg\" name=\"imagen\" placeholder=\"Imagen\"></br>"; 

					echo "<input type=\"Submit\" class=\"boton\" name=\"enviar\" id=\"Guard\" value=\"Guardar\">";
					
				}
				else{
					echo "<input type=\"text\" id=\"descripcion\" name=\"descripcion\" placeholder=\"Descripcion\"  value=\"$descripcion\"></br>";
					echo "<input type=\"text\" id=\"preciov\" name=\"preciov\" placeholder=\"Precio*\"  value=\"$precio\"></br>";
					echo "<input type=\"text\" id=\"stock\" name=\"stock\" placeholder=\"Stock*\"  value=\"$stock\"></br>"; 
					/*echo "<select name=\"destacado\" id=\"dest\">
						<option value =\"0\"> Es destacado?</option>";
						
							if($destacado == 0){
								echo "<option value =\"1\" selected> No</option>";
								echo "<option value =\"2\"> Si</option>";
							}elseif($destacado == 1){
								echo "<option value =\"1\"> No</option>";
								echo "<option value =\"2\" selected> Si</option>";
							}
							else{
							echo "<option value =\"1\"> No</option>
								<option value =\"2\"> Si</option>";
							}

						
						echo "</select></br>";*/
					echo "<input type=\"file\" id=\"upimg\" name=\"imagen\" placeholder=\"Imagen\" value=\"$imagen\"></br>"; 
					?>
					<input type="text" id="estante" name="ubicacion" placeholder="Estante*" ></br>
					<input type="text" id="fila" name="ubicacion" placeholder="Fila*" ></br>
					<input type="text" id="columna" name="ubicacion" placeholder="Columna*" ></br>
					<?php
					echo "<input type=\"Submit\" id=\"Guard\" class=\"boton\" name=\"enviar\" value=\"Actualizar\">";

				}
				?>
		    </form>
		    <a href="productos_lista.php">Regresar al listado</a>
		</div>
				
<div id="footer" align="center">
            <p>Cuadropolis</p>
        </div>
	</body>
</html>